Deployments.ai Docs
Brains

List Brain document index health

GET /v1/brains/{brainId}/index-health · SDK listBrainIndexHealth · CLI deployments brain index-health

GET
/v1/brains/{brainId}/index-health

Requires brains:read.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

brainId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

BrainIndexHealthPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/brains/string/index-health" \  -H "x-deployments-organization: string"
{  "items": [    {      "components": [        {          "error": "string",          "kind": "dense",          "status": "failed",          "updatedAt": "string"        }      ],      "documentId": "string",      "documentVersionId": "string",      "lastError": "string",      "projectionGeneration": 0,      "status": "failed",      "synchronizedAt": "string",      "updatedAt": "string"    }  ],  "nextCursor": "string"}